﻿using SqlSugar;
using System;

namespace DeviceRepair.Models.Plan
{
    /// <summary>
    /// 跳过指定日期的SFC设备使用前校验是否完成保养计划
    /// </summary>
    [SugarTable("EquipmentJumpPlanCheck")]
    public class EquipmentJumpPlanCheckInfo
    {
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public virtual int AutoID { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        public virtual int EquipmentAutoID { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        public virtual string EquipmentID { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        [SugarColumn(IsIgnore = true)]
        public virtual string EquipmentName { get; set; }

        /// <summary>
        /// 跳过校验日期
        /// </summary>
        public virtual DateTime CheckDate { get; set; }

        /// <summary>
        /// 状态
        /// A 创建,正常状态
        /// C 删除,关闭状态
        /// </summary>
        public virtual string Status { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        public virtual int CreateBy { get; set; }

        /// <summary>
        /// 创建日期
        /// </summary>
        public virtual DateTime CreateOn { get; set; }

        /// <summary>
        /// 创建人名称
        /// </summary>
        [SugarColumn(IsIgnore = true)]
        public virtual string CreatebyName { get; set; }

        /// <summary>
        /// 操作人设备名称
        /// </summary>
        public virtual string CreateClient { get; set; }

        /// <summary>
        /// 修改人
        /// </summary>
        public virtual int ModifyBy { get; set; }

        /// <summary>
        /// 修改时间
        /// </summary>
        public virtual DateTime ModifyOn { get; set; }

        /// <summary>
        /// 修改操作人设备名称
        /// </summary>
        public virtual string ModifyClient { get; set; }
    }
}
