﻿using TsSFCDevice.Client.Biz.Base.Utils;

namespace TsSFCDevice.Client.Launch
{
    public sealed class OperationAuthConstValue
    {
        #region 设备信息

        /// <summary>
        /// OEM 设备查看权限
        /// </summary>
        public readonly static string PM_Device_OEM = Utility.SystemRuntimeInfo.DEVICE_OEM;

        /// <summary>
        /// KH 设备查看权限
        /// </summary>
        public readonly static string PM_Device_KH = Utility.SystemRuntimeInfo.DEVICE_KH;

        /// <summary>
        /// 设备新增
        /// </summary>
        public readonly static string PM_Device_ADD = "BIZ_EQUIP_66";

        /// <summary>
        /// 设备编辑
        /// </summary>
        public readonly static string PM_Device_Edit = "BIZ_EQUIP_67";

        /// <summary>
        /// 设备状态修改
        /// </summary>
        public readonly static string PM_Device_Status = "BIZ_EQUIP_68";

        #endregion


        /// <summary>
        /// 跳过当天保养计划校验
        /// </summary>
        public readonly static string PLAN_JUMP_CHECK = "BIZ_EQUIP_72";
        public readonly static string PLAN_JUMP_CHECK_Watch = "BIZ_EQUIP_73";
        public readonly static string PLAN_JUMP_CHECK_Add = "BIZ_EQUIP_74";
        public readonly static string PLAN_JUMP_CHECK_DELETE = "BIZ_EQUIP_75";

        #region PM 保养计划

        /// <summary>
        /// PM 保养计划
        /// </summary>
        public readonly static string PM_PLAN = "BIZ_EQUIP_26";

        /// <summary>
        /// PM 保养计划查看
        /// </summary>
        public readonly static string PM_PLAN_Watch = "BIZ_EQUIP_27";

        /// <summary>
        /// PM 保养计划新增
        /// </summary>
        public readonly static string PM_PLAN_Add = "BIZ_EQUIP_28";

        /// <summary>
        /// PM 保养计划编辑
        /// </summary>
        public readonly static string PM_PLAN_Edit = "BIZ_EQUIP_29";

        /// <summary>
        /// PM 保养计划导入
        /// </summary>
        public readonly static string PM_PLAN_Import = "BIZ_EQUIP_30";

        /// <summary>
        /// PM 保养计划删除
        /// </summary>
        public readonly static string PM_PLAN_DELETE = "BIZ_EQUIP_31";

        #endregion

        #region PM 点检表

        /// <summary>
        /// PM 点检表
        /// </summary>
        public readonly static string PM_CheckFORM = "BIZ_EQUIP_32";

        /// <summary>
        /// PM 点检表查看
        /// </summary>
        public readonly static string PM_CheckFORM_Watch = "BIZ_EQUIP_33";

        /// <summary>
        /// PM 点检表新增
        /// </summary>
        public readonly static string PM_CheckFORM_Add = "BIZ_EQUIP_34";

        /// <summary>
        /// PM 点检表编辑
        /// </summary>
        public readonly static string PM_CheckFORM_Edit = "BIZ_EQUIP_35";

        /// <summary>
        /// PM 点检表启用/禁用
        /// </summary>
        public readonly static string PM_CheckFORM_Status = "BIZ_EQUIP_36";

        /// <summary>
        /// PM 点检表分配
        /// </summary>
        public readonly static string PM_CheckFORM_Assig = "BIZ_EQUIP_37";

        #endregion

        #region AM 保养计划

        /// <summary>
        /// AM 保养计划
        /// </summary>
        public readonly static string AM_PLAN = "BIZ_EQUIP_43";

        /// <summary>
        /// AM 保养计划查看
        /// </summary>
        public readonly static string AM_PLAN_Watch = "BIZ_EQUIP_44";

        /// <summary>
        /// AM 保养计划新增
        /// </summary>
        public readonly static string AM_PLAN_Add = "BIZ_EQUIP_45";

        /// <summary>
        /// AM 保养计划编辑
        /// </summary>
        public readonly static string AM_PLAN_Edit = "BIZ_EQUIP_46";

        /// <summary>
        /// AM 保养计划导入
        /// </summary>
        public readonly static string AM_PLAN_Import = "BIZ_EQUIP_47";

        /// <summary>
        /// AM 保养计划删除
        /// </summary>
        public readonly static string AM_PLAN_DELETE = "BIZ_EQUIP_48";

        #endregion

        #region AM 点检表

        /// <summary>
        /// PM 点检表
        /// </summary>
        public readonly static string AM_CheckFORM = "BIZ_EQUIP_49";

        /// <summary>
        /// PM 点检表查看
        /// </summary>
        public readonly static string AM_CheckFORM_Watch = "BIZ_EQUIP_50";

        /// <summary>
        /// PM 点检表新增
        /// </summary>
        public readonly static string AM_CheckFORM_Add = "BIZ_EQUIP_51";

        /// <summary>
        /// PM 点检表编辑
        /// </summary>
        public readonly static string AM_CheckFORM_Edit = "BIZ_EQUIP_52";

        /// <summary>
        /// PM 点检表启用/禁用
        /// </summary>
        public readonly static string AM_CheckFORM_Status = "BIZ_EQUIP_53";

        /// <summary>
        /// PM 点检表分配
        /// </summary>
        public readonly static string AM_CheckFORM_Assig = "BIZ_EQUIP_54";
        #endregion

        #region PM 设备保养

        /// <summary>
        /// PM 设备保养
        /// </summary>
        public readonly static string PM_PRESERVE = "BIZ_EQUIP_38";

        /// <summary>
        /// PM 设备保养记录查看
        /// </summary>
        public readonly static string PM_PRESERVE_Watch = "BIZ_EQUIP_39";

        /// <summary>
        /// PM 设备保养记录新增
        /// </summary>
        public readonly static string PM_PRESERVE_Add = "BIZ_EQUIP_40";

        /// <summary>
        /// PM 设备保养记录修改
        /// </summary>
        public readonly static string PM_PRESERVE_Edit = "BIZ_EQUIP_41";

        #endregion

        #region AM 设备保养

        /// <summary>
        /// AM 设备保养
        /// </summary>
        public readonly static string AM_PRESERVE = "BIZ_EQUIP_55";

        /// <summary>
        /// AM 设备保养记录查看
        /// </summary>
        public readonly static string AM_PRESERVE_Watch = "BIZ_EQUIP_56";

        /// <summary>
        /// AM 设备保养记录新增
        /// </summary>
        public readonly static string AM_PRESERVE_Add = "BIZ_EQUIP_57";

        /// <summary>
        /// AM 设备保养记录修改
        /// </summary>
        public readonly static string AM_PRESERVE_Edit = "BIZ_EQUIP_58";

        #endregion

        #region 设备维修

        /// <summary>
        /// 设备维修
        /// </summary>
        public readonly static string Device_REPAIRRECORD = "BIZ_EQUIP_01";

        /// <summary>
        /// 设备维修查看
        /// </summary>
        public readonly static string Device_REPAIRRECORD_Watch = "BIZ_EQUIP_02";

        /// <summary>
        /// 设备维修编辑
        /// </summary>
        public readonly static string Device_REPAIRRECORD_Edit = "BIZ_EQUIP_03";

        /// <summary>
        /// 设备维修导入
        /// </summary>
        public readonly static string Device_REPAIRRECORD_Import = "BIZ_EQUIP_04";

        /// <summary>
        /// 设备维修确认权限-工程师
        /// </summary>
        public readonly static string Device_REPAIRRECORD_Engineer = "BIZ_EQUIP_05";

        /// <summary>
        /// 设备维修确认权限-技术人员
        /// </summary>
        public readonly static string Device_REPAIRRECORD_Echnician = "BIZ_EQUIP_06";

        /// <summary>
        /// 设备维修确认权限-维修主管
        /// </summary>
        public readonly static string Device_REPAIRRECORD_Manager = "BIZ_EQUIP_07";

        #endregion

        #region Tag

        /// <summary>
        /// Tag
        /// </summary>
        public readonly static string Device_TAG = "BIZ_EQUIP_59";

        /// <summary>
        /// Tag查看
        /// </summary>
        public readonly static string Device_TAG_Watch = "BIZ_EQUIP_60";

        /// <summary>
        /// Tag新增
        /// </summary>
        public readonly static string Device_TAG_Add = "BIZ_EQUIP_61";

        /// <summary>
        /// Tag修改
        /// </summary>
        public readonly static string Device_TAG_Edit = "BIZ_EQUIP_62";

        /// <summary>
        /// Tag接受
        /// </summary>
        public readonly static string Device_TAG_Receipt = "BIZ_EQUIP_63";

        #endregion

        #region 字段配置

        /// <summary>
        /// 字段配置
        /// </summary>
        public readonly static string Custom_FIELD = "BIZ_EQUIP_08";

        /// <summary>
        /// 现象区分
        /// </summary>
        public readonly static string Custom_FIELD_SYMPTOMLDISTINCTION = "BIZ_EQUIP_09";

        /// <summary>
        /// 现象区分新增
        /// </summary>
        public readonly static string Custom_FIELD_SYMPTOMLDISTINCTION_ADD = "BIZ_EQUIP_10";

        /// <summary>
        /// 现象区分编辑
        /// </summary>
        public readonly static string Custom_FIELD_SYMPTOMLDISTINCTION_EDIT = "BIZ_EQUIP_11";

        /// <summary>
        ///  现象区分禁用/启用
        /// </summary>
        public readonly static string Custom_FIELD_SYMPTOMLDISTINCTION_STATUS = "BIZ_EQUIP_12";

        /// <summary>
        /// 维修方式
        /// </summary>
        public readonly static string Custom_FIELD_MAINTENANCEN = "BIZ_EQUIP_13";

        /// <summary>
        /// 维修方式新增
        /// </summary>
        public readonly static string Custom_FIELD_MAINTENANCEN_ADD = "BIZ_EQUIP_14";

        /// <summary>
        /// 维修方式编辑
        /// </summary>
        public readonly static string Custom_FIELD_MAINTENANCEN_EDIT = "BIZ_EQUIP_15";

        /// <summary>
        /// 维修方式禁用/启用
        /// </summary>
        public readonly static string Custom_FIELD_MAINTENANCEN_STATUS = "BIZ_EQUIP_16";

        /// <summary>
        /// 配件维护
        /// </summary>
        public readonly static string Custom_FIELD_ACCESSORIES = "BIZ_EQUIP_17";

        /// <summary>
        /// 配件维护新增
        /// </summary>
        public readonly static string Custom_FIELD_ACCESSORIES_ADD = "BIZ_EQUIP_18";

        /// <summary>
        /// 配件维护编辑
        /// </summary>
        public readonly static string Custom_FIELD_ACCESSORIES_EDIT = "BIZ_EQUIP_19";

        /// <summary>
        /// 配件维护禁用/启用
        /// </summary>
        public readonly static string Custom_FIELD_ACCESSORIES_STATUS = "BIZ_EQUIP_20";

        /// <summary>
        /// 故障发生地
        /// </summary>
        public readonly static string Custom_FIELD_WHEREFAILUREOCCURRED = "BIZ_EQUIP_21";

        /// <summary>
        /// 故障发生地新增
        /// </summary>
        public readonly static string Custom_FIELD_WHEREFAILUREOCCURRED_ADD = "BIZ_EQUIP_22";

        /// <summary>
        /// 故障发生地编辑
        /// </summary>
        public readonly static string Custom_FIELD_WHEREFAILUREOCCURRED_EDIT = "BIZ_EQUIP_23";

        /// <summary>
        /// 故障发生地禁用/启用
        /// </summary>
        public readonly static string Custom_FIELD_WHEREFAILUREOCCURRED_STATUS = "BIZ_EQUIP_24";

        #endregion

        #region 软件配置

        public readonly static string Sys_Config = "BIZ_EQUIP_71";

        #endregion
    }
}
